local lcFile, ;
	loBridge, ;
	loFox

* Show a VFP GETFILE() dialog.

lcFile = getfile('Image Files (*.bmp, *.jpg, *.gif):bmp,jpg,gif', ;
    'Select Image')
if not empty(lcFile)
	messagebox(lcFile)
endif not empty(lcFile)

* Create the wwDotNetBridge object.

loBridge = newobject('wwDotNetBridge', 'wwDotNetBridge.prg', '', 'V4')

* Load our assembly and instantiate the Dialogs class.

loBridge.LoadAssembly('Samples\Samples\bin\Debug\Samples.dll')
loFox = loBridge.CreateInstance('Samples.Dialogs')

* Set the necessary properties, then display the dialog.

loFox.FileName    = 'add.bmp'
loFox.InitialDir  = home() + 'FFC\Graphics'
loFox.Filter      = 'Image Files (*.bmp, *.jpg, *.gif)|*.bmp;*.jpg;' + ;
    '*.gif|All files (*.*)|*.*'
loFox.Title       = 'Select Image'
loFox.MultiSelect = .T.
lcFile            = loFox.ShowOpenDialog()
if not empty(lcFile)
	messagebox('You selected ' + lcFile)
endif not empty(lcFile)
