* Open a text file in Notepad.

lcClass   = 'System.Diagnostics.Process'
loBridge  = newobject('wwDotNetBridge', 'wwDotNetBridge.prg', '', 'V4')
loProcess = loBridge.CreateInstance(lcClass)
loBridge.InvokeMethod(loProcess, 'Start', 'text.txt')

* Let the user tell use when to proceed.

messagebox("Now we'll kill Notepad")

* Find the process ID.

loProcesses = loBridge.InvokeStaticMethod(lcClass, 'GetProcesses')
lnID        = -1
for lnI = 0 to loProcesses.Count - 1
	loProcess = loProcesses.Item(lnI)
	if loProcess.ProcessName = 'notepad'
		lnID = loProcess.ID
*		loProcess.Kill()
		exit
	endif loProcess.ProcessName = 'notepad'
next lnI

* If we found it, kill it.

if lnID > -1
	loProcess = loBridge.InvokeStaticMethod(lcClass, 'GetProcessById', lnID)
	loProcess.Kill()
endif lnID > -1

* We can also do it this way, which has the advantage that we know the process
* ID without having to look for it.

loProcess = loBridge.InvokeStaticMethod(lcClass, 'Start', 'text.txt')
messagebox("Now we'll kill Notepad")
loProcess.Kill()
